Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.responder
Class FormResponder

    java.lang.Object
      org.makumba.forms.responder.Responder
          org.makumba.forms.responder.FormResponder

All Implemented Interfaces:
  Serializable

    public class FormResponder

extends Responder

See Also:
  Serialized Form

Field Summary
`protected String` | `action`
`(package private) DataDefinition` | `dd`
`(package private) RecordEditor` | `editor`
`(package private) StringBuffer` | `extraFormatting`
`(package private) Hashtable<String,String>` | `fieldNames`
`(package private) Hashtable<String,Dictionary<String,Object>>` | `fieldParameters`
`(package private) Hashtable<String,Integer>` | `indexes`
`(package private) int` | `max`
`protected String` | `method`
`protected boolean` | `multipart`

Fields inherited from class org.makumba.forms.responder.Responder
`addField, afterHandler, basePointerName, basePointerType, clientSideValidation, controller, controllerClassname, database, defaultMatchModes, defaultMessageSearchForm, factory, FORM_RESULTS, formName, formOrder, formSessionName, groupCounter, handler, identity, message, multipleSubmitErrorMsg, newType, op, operation, originatingPageName, reloadFormOnError, responderName, resultAttribute, searchType, storedParentSuffix, storedSuffix, suffixSeparator, useDefaultResponseStyles`

Constructor Summary
`FormResponder()`

Method Summary
`String` | `format(String fname, FieldDefinition ftype, Object fval, Hashtable<String,Object> formatParams, String extraFormatting, Object formIdentifier)` Format a field using the editor, and grow the editor as needed
`String` | `getAction()`
`Dictionary<String,Object>` | `getHttpData(HttpServletRequest req, String suffix)` reads the data submitted to the controller by http, also sets the values in the request so they can be retrieved as attributes
`HashMap<String,String>` | `getLazyEvaluatedInputs()`
`String` | `getResponderValue()`
`ArrayList<InvalidValueException>` | `getUnassignedExceptions(CompositeValidationException e, ArrayList<InvalidValueException> unassignedExceptions, String suffix)`
`protected void` | `postDeserializaton()`
`String` | `responderKey()` a key that should identify this responder among all
`void` | `setAction(String action)`
`void` | `setExtraFormatting(StringBuffer extraFormatting)`
`void` | `setLazyEvaluatedInputs(HashMap<String,String> unresolvedInputValues)`
`void` | `setMethod(String method)`
`void` | `setMultipart(boolean multipart)`
`void` | `writeClientsideValidation(StringBuffer sb)`
`void` | `writeFormPostamble(StringBuffer sb, String basePointer, HttpServletRequest request)`
`void` | `writeFormPreamble(StringBuffer sb, String basePointer, HttpServletRequest request)`
`(package private) void` | `writeInput(StringBuffer sb, String name, String value, String suffix)`

Methods inherited from class org.makumba.forms.responder.Responder
`addMultiFieldSearchMapping, errorMessage, errorMessageFormatter, getAddField, getAfterHandler, getBasePointerType, getController, getDatabase, getDefaultMatchMode, getFactory, getFormName, getFormOrder, getHandler, getHttpBasePointer, getMultiFieldSearchCriterion, getNewType, getOriginatingPageName, getPrototype, getReloadFormOnError, getSearchType, getShowFormAnnotated, getSuffix, saveResponderToDisc, setAddField, setAfterHandler, setBasePointerType, setClientSideValidation, setDefaultMatchMode, setFactory, setFormName, setHandler, setHttpRequest, setMessage, setMultipleSubmitErrorMsg, setNewType, setOperation, setOriginatingPageName, setParentResponder, setReloadFormOnError, setResponderOrder, setResultAttribute, setSearchType, setShowFormAnnotated, successFulMessageFormatter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    RecordEditor editor

### indexes

    Hashtable<String,Integer> indexes

### dd

    DataDefinition dd

### max

    int max

### fieldParameters

    Hashtable<String,Dictionary<String,Object>> fieldParameters

### fieldNames

    Hashtable<String,String> fieldNames

### action

    protected String action

### method

    protected String method

### multipart

    protected boolean multipart

### extraFormatting

    StringBuffer extraFormatting

Constructor Detail

### FormResponder

    public FormResponder()

Method Detail

### getHttpData

    public Dictionary<String,Object> getHttpData(HttpServletRequest req,
                                                 String suffix)

  reads the data submitted to the controller by http, also sets the values in the request so they can be retrieved as attributes

  Specified by:
    `getHttpData` in class `Responder`
  Parameters:
    `req` - the request corresponding to the current page
    `suffix` - the responder / form suffix
  Returns:
    a Dictionary holding the data read by the logic

### getUnassignedExceptions

    public ArrayList<InvalidValueException> getUnassignedExceptions(CompositeValidationException e,
                                                                    ArrayList<InvalidValueException> unassignedExceptions,
                                                                    String suffix)

  Specified by:
    `getUnassignedExceptions` in class `Responder`

### format

    public String format(String fname,
                         FieldDefinition ftype,
                         Object fval,
                         Hashtable<String,Object> formatParams,
                         String extraFormatting,
                         Object formIdentifier)

  Format a field using the editor, and grow the editor as needed

### responderKey

    public String responderKey()

  Description copied from class: `Responder`
  a key that should identify this responder among all

  Overrides:
    `responderKey` in class `Responder`

### setAction

    public void setAction(String action)

### getAction

    public String getAction()

### setMultipart

    public void setMultipart(boolean multipart)

### setMethod

    public void setMethod(String method)

### setExtraFormatting

    public void setExtraFormatting(StringBuffer extraFormatting)

### writeFormPreamble

    public void writeFormPreamble(StringBuffer sb,
                                  String basePointer,
                                  HttpServletRequest request)

### writeFormPostamble

    public void writeFormPostamble(StringBuffer sb,
                                   String basePointer,
                                   HttpServletRequest request)

### getResponderValue

    public String getResponderValue()

### writeInput

    void writeInput(StringBuffer sb,
                    String name,
                    String value,
                    String suffix)

### postDeserializaton

    protected void postDeserializaton()

  Specified by:
    `postDeserializaton` in class `Responder`

### writeClientsideValidation

    public void writeClientsideValidation(StringBuffer sb)

### setLazyEvaluatedInputs

    public void setLazyEvaluatedInputs(HashMap<String,String> unresolvedInputValues)

### getLazyEvaluatedInputs

    public HashMap<String,String> getLazyEvaluatedInputs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20